import { Injector, ModuleWithProviders } from '@angular/core';
import { IReduxModuleChildConfig, IReduxModuleRootConfig } from './interfaces';
export interface IReducerType {
    new (...args: any[]): any;
}
export declare class ReduxModule {
    constructor(isRootModule: boolean, rootConfig: IReduxModuleRootConfig, childConfig: IReduxModuleChildConfig, injector: Injector);
    static forChild(config: IReduxModuleChildConfig): ModuleWithProviders;
    static forRoot(config?: IReduxModuleRootConfig): ModuleWithProviders;
}
